Skip to content
GET /unified/ticketing/attachments/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

ticket
1 supported1 required
Hive
required
commentstring

The unique identifier for a comment. This comment should not be an internal.

1 supported1 required
Kustomer
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

content_typestring

The content type of the attachment

16 supported
Accelo
supported
Asana
supported
Enchant
supported
Hive
supported
HubSpot
supported
Jira
supported
Jira Service Management
supported
Kustomer
supported
Microsoft 365
supported
Microsoft Planner
supported
Salesforce
supported
ServiceNow
supported
servicenowitsm
supported
Shortcut
supported
Wrike
supported
Zendesk
supported
created_atstring · date-time

The time when the attachment was created

13 supported
Accelo
supported
Asana
supported
BMC Helix
supported
Hive
supported
Jira
supported
Jira Service Management
supported
Microsoft 365
supported
Microsoft Planner
supported
Salesforce
supported
ServiceNow
supported
servicenowitsm
supported
Shortcut
supported
Wrike
supported
etagstring

The unique identifier for the specific version of the resource.

2 supported
Microsoft 365
supported
Microsoft Planner
supported
file_namestring

The attachment's name.

17 supported
Accelo
supported
Asana
supported
BMC Helix
supported
Enchant
supported
Hive
supported
HubSpot
supported
Jira
supported
Jira Service Management
supported
Kustomer
supported
Microsoft 365
supported
Microsoft Planner
supported
Salesforce
supported
ServiceNow
supported
servicenowitsm
supported
Shortcut
supported
Wrike
supported
Zendesk
supported
file_urlstring

The URL to download the attachment

16 supported
Accelo
supported
Asana
supported
BMC Helix
supported
Hive
supported
HubSpot
supported
Jira
supported
Jira Service Management
supported
Kustomer
supported
Microsoft 365
supported
Microsoft Planner
supported
Salesforce
supported
ServiceNow
supported
servicenowitsm
supported
Shortcut
supported
Wrike
supported
Zendesk
supported
idstring

The unique identifier for the attachment

18 supported
Accelo
supported
Asana
supported
BMC Helix
supported
Enchant
supported
Hive
supported
HubSpot
supported
Jira
supported
Jira Service Management
supported
Kustomer
supported
Microsoft 365
supported
Microsoft Planner
supported
Quickbase for Project Management
supported
Salesforce
supported
ServiceNow
supported
servicenowitsm
supported
Shortcut
supported
Wrike
supported
Zendesk
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

sizenumber

The file size in bytes

14 supported
Accelo
supported
Asana
supported
BMC Helix
supported
Enchant
supported
HubSpot
supported
Jira
supported
Jira Service Management
supported
Kustomer
supported
Microsoft 365
supported
Microsoft Planner
supported
Salesforce
supported
ServiceNow
supported
servicenowitsm
supported
Wrike
supported
ticket_idstring

The ticket id to which the attachment belongs

References: Tickets → id
10 supported
Asana
supported
BMC Helix
supported
Hive
supported
Jira
supported
Jira Service Management
supported
Kustomer
supported
ServiceNow
supported
servicenowitsm
supported
Shortcut
supported
Wrike
supported
updated_atstring · date-time

The time when the attachment was updated

8 supported
BMC Helix
supported
Hive
supported
Microsoft 365
supported
Microsoft Planner
supported
Salesforce
supported
ServiceNow
supported
servicenowitsm
supported
Shortcut
supported
uploaded_bystring

The user who uploaded the attachment

References: Users → id
12 supported
Accelo
supported
BMC Helix
supported
Hive
supported
Jira
supported
Jira Service Management
supported
Microsoft 365
supported
Microsoft Planner
supported
Salesforce
supported
ServiceNow
supported
servicenowitsm
supported
Shortcut
supported
Wrike
supported
uploaded_by_typestring

The type of the user who uploaded the attachment

1 supported
Shortcut
supported
curl -X GET 'https://api.truto.one/unified/ticketing/attachments/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ticketing/attachments/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ticketing/attachments/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'ticketing',
  'attachments',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "ticketing",
        "attachments",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())